Bug 285551 - Review Request: idw-gpl - Java Swing based docking windows framework
Review Request: idw-gpl - Java Swing based docking windows framework
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-10 23:14 EDT by Jerry James
Modified: 2008-05-07 12:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 12:03:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
overholt: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2007-09-10 23:14:46 EDT
Spec URL: http://jjames.fedorapeople.org/idw-gpl/idw-gpl.spec
SRPM URL: http://jjames.fedorapeople.org/idw-gpl/idw-gpl-1.5.0-1.src.rpm
Description: InfoNode Docking Windows is a Java Swing based docking windows framework.  It also includes a highly flexible tabbed panel component and a slim Swing look and feel.
Comment 1 Jerry James 2007-11-14 19:06:18 EST
My approach to fixing the use of an internal Sun class doesn't work for IcedTea.
 Here is a version that works with both gcj and IcedTea, and also fixes a few
other minor issues that turned up on F8.

Spec: http://jjames.fedorapeople.org/idw-gpl/idw-gpl.spec
SRPM: http://jjames.fedorapeople.org/idw-gpl/idw-gpl-1.5.0-2.src.rpm

This package is a precursor to getting findbugs into Fedora.
Comment 2 Jerry James 2008-04-18 17:34:52 EDT
Here are new versions that reflect the recently released Java packaging guidelines.

Spec: http://jjames.fedorapeople.org/idw-gpl/idw-gpl.spec
SRPM: http://jjames.fedorapeople.org/idw-gpl/idw-gpl-1.5.0-3.src.rpm
Comment 3 Andrew Overholt 2008-05-01 12:17:09 EDT
I'll take this.
Comment 4 Andrew Overholt 2008-05-01 14:50:25 EDT
Hi Jerry.  Things look great.  I only have a few questions.

? = maybe or a question I have
OK = okay (surprisingly)
X = please fix

? license field matches the actual license.
  - it looks like they don't specify a version of the GPL.  Is "v2+"
    what we should assume here?
? Can you copy or move the comments about the patches to above the Patch
  lines?  Have you considered offering them to upstream?
? Have you compared the JAR we get with the upstream one?
? (pedantic) in Summary:  "Java Swing based" -> "Java Swing-based"
OK rpmlint on srpm
  idw-gpl.src: W: non-standard-group Development/Libraries/Java
  Don't worry about this.
? consider using cp -p to preserve timestamps
X in %files, change %{_javadir}/*.jar to %{_javadir}/%{name}* (or %{name}*.jar)
X in %files javadoc, change %{_javadocdir}/* to
  %{_javadocdir}/%{name}*
OK - the final provides and requires of the binary RPMs look fine
OK - run rpmlint on the binary RPMs
   idw-gpl.i386: W: non-standard-group Development/Libraries/Java
   idw-gpl-javadoc.i386: W: non-standard-group Development/Libraries/Java
  Don't worry about these.
Comment 5 Jerry James 2008-05-01 19:11:43 EDT
Andrew, thanks for taking a look.  Here are my answers to the questions.
- License field: the actual Java source files all contain the "or (at your
option) any later version" clause in the headers, so that's why I went with GPLv2+.
- I sent the patches upstream months ago.  They told me they would like to apply
them all to their code base, and asked me to assign copyright to them.  I did. 
Time has passed, and they have not released a new version or communicated with
me again.  I moved the comments as requested.
- I have not compared this jar with upstream, good point.  It's a good thing you
asked me to do that, as I failed to package up some .png files.  The jar
produced by this spec file is still not identical to upstream, but the
differences are now cosmetic only.
- I changed "Swing based" to "Swing-based" in the Summary and description.
- The spec file now uses cp -p.
- I changed the two %files patterns.

Also, the conditional GCJ parts weren't in the guidelines when I made this
package.  I have added those.  Here's the latest version:

Spec: http://jjames.fedorapeople.org/idw-gpl/idw-gpl.spec
SRPM: http://jjames.fedorapeople.org/idw-gpl/idw-gpl-1.5.0-4.src.rpm
Comment 6 Andrew Overholt 2008-05-02 10:33:46 EDT
Thanks, Jerry.  Everything looks good.

I'm sorry I didn't think of this yesterday, but do you think we should add
Provides statements for ilf-gpl and itp-gpl?  Since we're packaging the LAF and
the tabbed panel all in this one RPM, I think virtual Provides are in order. 
What do you think?
Comment 7 Jerry James 2008-05-05 18:04:49 EDT
Good point.  I wondered whether I should package all 3 up separately, in fact,
but then decided that since the upstream idw-gpl source package contained
everything, I should just make one package.  Here are new versions with the
virtual provides:

Spec: http://jjames.fedorapeople.org/idw-gpl/idw-gpl.spec
SRPM: http://jjames.fedorapeople.org/idw-gpl/idw-gpl-1.5.0-5.src.rpm
Comment 8 Andrew Overholt 2008-05-06 09:20:39 EDT
That looks good to me.  Thanks for all your hard work.

APPROVED.
Comment 9 Jerry James 2008-05-06 12:14:25 EDT
New Package CVS Request
=======================
Package Name: idw-gpl
Short Description: A Java Swing-based docking windows framework
Owners: jjames
Branches: F-8 F-9
InitialCC: 
Cvsextras Commits: yes
Comment 10 Kevin Fenzi 2008-05-06 16:53:01 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.